=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

include debian/rules.defs
NVIDIA_TESLA		?=
NVIDIA_LEGACY		?=
WATCH_VERSION		?= $(or $(NVIDIA_TESLA),$(NVIDIA_LEGACY))
WATCH_PATTERN		?=
GIT_BRANCH		?= $(if $(variant),$(variant)/master)
XORG_ABI_LIST		?=
XORG_BOUND		?=
LINUX_KMOD_TESTED	?=
NVIDIA_LEGACY_CHECK	?=
NVIDIA_SETTINGS		?= nvidia-settings$(-variant)
ARCH_CANDIDATES		?= amd64 i386 armhf arm64 ppc64el
ARCH_LIST		?= amd64
BLOB_ARCH_LIST		?= $(strip $(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)))
NO_DRIVER_ARCH_LIST	?=
NO_AUTOPKGTEST_ARCH_LIST?=
NO_VULKAN_ARCH_LIST	?=

NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
version			 = $(NVIDIA_RELEASE)
version_major		 = $(firstword $(subst ., ,$(version)))
ifneq (,$(NVIDIA_TESLA))
variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA))
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version))
variant_description_short= $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA)))
else
variant			 = $(if $(NVIDIA_LEGACY),legacy-$(NVIDIA_LEGACY)xx)
variant_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
variant_description_short= $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy))
endif
-variant		 = $(if $(variant),-$(variant))
trailing_minus		 = $(if $(filter %0 %1 %2 %3 %4 %5 %6 %7 %8 %9,$(variant)),-)
nvidia			 = nvidia$(-variant)
nvidia-			 = $(nvidia)$(trailing_minus)
nvidia_if_variant	 = $(if $(variant),$(nvidia)-)
current			 = $(if $(variant),$(variant),current)
module			 = nvidia-$(current)
libcuda1		 = lib$(nvidia_if_variant)cuda1
watch_pattern		 = $(or $(WATCH_PATTERN),$(if $(WATCH_VERSION),$(WATCH_VERSION)(?:\.[\d\.\-]+)?),\d[\d\.\-]*)
standards_version	:= $(shell sed -rn 's/Standards-Version: (.*)/\1/p' debian/control)
debhelper_compat	:= $(shell sed -rn 's/.*debhelper-compat \(= ([0-9]+)\).*/\1/p' debian/control)
has_driver		 = $(filter $(DEB_HOST_ARCH),$(filter-out $(NO_DRIVER_ARCH_LIST),$(ARCH_LIST)))
has_vulkan		 = $(filter $(DEB_HOST_ARCH),$(filter-out $(NO_VULKAN_ARCH_LIST),$(ARCH_LIST)))
DRIVER_ARCH_LIST	 = $(filter-out $(NO_DRIVER_ARCH_LIST),$(ARCH_LIST))
AUTOPKGTEST_ARCH_LIST	 = $(filter-out $(NO_AUTOPKGTEST_ARCH_LIST),$(DRIVER_ARCH_LIST))

# this needs the internal names (i.e. upstream's names, not our renamed files)
unload_modules		 =
unload_modules		+= nvidia-drm
unload_modules		+= nvidia-modeset
unload_modules		+= nvidia-peermem
unload_modules		+= nvidia-uvm
unload_modules		+= nvidia

# system libdir
libdir			?= usr/lib/$(DEB_HOST_MULTIARCH)
# nvidia version specific directory below $(libdir)
nvidia_private		 = nvidia/$(current)

CONTROL_PREFIXES	 = nvidia-driver nvidia-kernel nvidia-alternative xserver-xorg-video-nvidia
CONTROL_PREFIXES	+= libnvidia
CONTROL_PREFIXES	+= libgl1-nvidia
CONTROL_PREFIXES	+= libglx-nvidia0
CONTROL_PREFIXES	+= libegl-nvidia0
CONTROL_PREFIXES	+= libgles-nvidia1 libgles-nvidia2
CONTROL_PREFIXES	+= nvidia-vdpau-driver
CONTROL_PREFIXES	+= libcuda1
CONTROL_PREFIXES	+= libnvcuvid1
CONTROL_PREFIXES	+= libnvoptix1
CONTROL_PREFIXES	+= nvidia-smi
CONTROL_PREFIXES	+= nvidia-opencl-icd
RENAME_libcuda1		 = $(libcuda1)
RENAME_libnvcuvid1	 = lib$(nvidia_if_variant)nvcuvid1
RENAME_libnvoptix1	 = lib$(nvidia_if_variant)nvoptix1
renamed_prefix		 = $(or $(RENAME_$1),$(subst nvidia,$(if $(filter %nvidia0 %nvidia1 %nvidia2,$1),$(nvidia-),$(nvidia)),$1))
CONTROL_PREFIXES_RENAMED = $(foreach p,$(CONTROL_PREFIXES),$(call renamed_prefix,$p))

# $1=file, $2=prefix
applyprefixrename	 = $(patsubst debian/$2%,debian/$(call renamed_prefix,$2)%,$1)
# $1=file, $2=prefixlist
applyprefixrenamelist	 = $(if $2,$(call applyprefixrenamelist,$(call applyprefixrename,$1,$(firstword $2)),$(wordlist 2,$(words $2),$2)),$1)

ALL_CONTROL	:= $(wildcard $(patsubst %,debian/%*,$(CONTROL_PREFIXES)))
LEGACY_CONTROL	:= $(wildcard $(patsubst %,debian/%*,$(CONTROL_PREFIXES_RENAMED)))
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(foreach f,$(RENAME_CONTROL),$(call applyprefixrenamelist,$f,$(CONTROL_PREFIXES)))
TEMPLATES	:= $(wildcard debian/*.in debian/module/debian/*.in debian/module/debian/patches/*.in debian/detect/*.in debian/tests/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= debian/module/debian/changelog
AUTOGEN		+= debian/module/debian/bug-control
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/bug-control
AUTOGEN		+= debian/substvars
AUTOGEN		+= $(if $(has_vulkan),nonglvnd/nvidia_icd.json)
AUTOGEN		+= $(AUTOKEEP)
AUTOKEEP	 = debian/watch
AUTOKEEP	+= debian/tests/autopkgtest-pkg-dkms.conf
AUTOKEEP	+= debian/control
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))

empty		 =
space		 = $(empty) $(empty)
comma		 = ,
xorg_depends	 = $(foreach abi, $(XORG_ABI_LIST), xorg-video-abi-$(abi) |)
xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND)
xorg_provides	 = xorg-driver-video


.PHONY: autogen prepare patch
autogen: debian/control $(AUTOGEN)
prepare: autogen unpack-stamp
ifneq (,$(has_driver))
prepare: nvidia.ids compare-copyright-license
endif
patch: prepare

NVIDIA-Linux-%:
	sh $*/${NVIDIA_FILENAME_$*} --extract-only
	ln -s ${NVIDIA_DIRNAME_$*} $@
	gunzip $@/*.1.gz
	patch --no-backup-if-mismatch $@/README.txt < debian/patches/legacy-470.patch

ifneq (,$(filter i386,$(NO_DRIVER_ARCH_LIST)))
NVIDIA-Linux-i386: NVIDIA-Linux-amd64
	$(RM) -r $@
	cp -al $</32 $@
	cp -al $</*.icd $@
	cp -al $</*.json* $@
endif

ifneq (,$(filter armhf,$(NO_DRIVER_ARCH_LIST)))
NVIDIA-Linux-armhf: NVIDIA-Linux-amd64
	$(RM) -r $@
	mkdir $@
	cp -al $</*.json $@
endif

ifneq (,$(filter ppc64el,$(NO_DRIVER_ARCH_LIST)))
NVIDIA-Linux-ppc64el: NVIDIA-Linux-amd64
	$(RM) -r $@
	mkdir $@
	cp -al $</*.icd $@
	cp -al $</*.json* $@
endif

# Unpack all architectures, we may need files from all of them.
unpack-stamp: $(patsubst %,NVIDIA-Linux-%,$(ARCH_LIST))
	$(if $(filter $(DEB_HOST_ARCH),$(ARCH_LIST)),,$(error Architecture $(DEB_HOST_ARCH) unsupported.))
	dh_testdir
	$(RM) NVIDIA-Linux
	ln -s NVIDIA-Linux-$(DEB_HOST_ARCH) NVIDIA-Linux
ifneq (,$(has_driver))
	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
	sed -i 's/==/=/g' NVIDIA-Linux/nvidia-bug-report.sh
endif
	ls -al
	touch $@

nvidia_icd.json.template	 = NVIDIA-Linux/nvidia_icd.json
$(nvidia_icd.json.template): unpack-stamp
nonglvnd/nvidia_icd.json: $(nvidia_icd.json.template)
	mkdir -p $(@D)
	sed 's/libGLX_nvidia.so.0/libGL.so.1/' $< > $@

nv-readme.ids: unpack-stamp
	sed -r -n '/^Chapter [0-9]+\. GSP Firmware|^A1\. CURRENT NVIDIA GPUS|^A1\. NVIDIA GEFORCE GPUS/,/^Chapter|^Appendix|^Below/ s/^(.{41}|.{49}) ([0-9a-fA-F]{4})($$| .*)/10de\2/p' \
		NVIDIA-Linux/README.txt \
		| tr a-f A-F | sort -u > $@
	@set -e -x ; \
	if ! cmp -s debian/$@ $@ ; then \
		diff -u debian/$@ $@ || true ; \
		: "*** Supported PCI IDs have changed. See diff above. Aborting. ***"; \
		exit 1 ; \
	fi

nvidia.ids: nv-readme.ids
	cp $< $@

# Reformat the LICENSE to the format needed for debian/copyright.
LICENSE.txt: unpack-stamp
	sed -e 's/^ *//; s/ *$$//; s/^$$/./; s/^/ /;' NVIDIA-Linux/LICENSE > $@

# Compare the license in debian/copyright with the LICENSE shipped in the archive.
compare-copyright-license: LICENSE.txt
	sed -e '1,/^License: NVIDIA-graphics-drivers/d; 1,/^License: NVIDIA-graphics-drivers$$/d; /^$$\|^Comment:$$/,$$d; /^ \.$$/d' debian/copyright > copyright.tmp
	sed -e '/^ \.$$/d' LICENSE.txt > LICENSE.tmp
	diff -w copyright.tmp LICENSE.tmp
	$(RM) copyright.tmp LICENSE.tmp

.PHONY: binary binary-arch binary-indep build clean install
binary binary-arch binary-indep build clean install:
	dh $@

override_dh_auto_clean:
	$(RM) -r .pc
	$(RM) NVIDIA-Linux
	$(RM) -r $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
	$(RM) -r build
	$(RM) -r nonglvnd
	$(RM) -r kernel-source-tree
	$(RM) nvidia.ids nv-readme.ids pci.ids.nvidia*
	$(RM) LICENSE.txt LICENSE.tmp copyright.tmp
	test ! -d debian/po || debconf-updatepo
