=== debian/control ===
--- 
+++ 
@@ -111,10 +111,10 @@
 Provides:
  nvidia-kernel-support-any,
  ${nvidia}-kernel-support--v1,
- ${nvidia}-kernel-support-${nvidia:Version} [amd64],
- nvidia-firmware-${nvidia:Version} [amd64],
-Conflicts:
- nvidia-firmware-${nvidia:Version} [amd64],
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}],
+ firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
+Conflicts:
+ firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
 Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
@@ -129,7 +129,7 @@
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- ${nvidia}-kernel-support-${nvidia:Version} [amd64],
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
  ${nvidia}-kernel-support--v1,
  ${misc:Depends}
 Recommends:
@@ -162,19 +162,18 @@
 Architecture: amd64 arm64 ppc64el
 Depends:
  debhelper-compat (= ${nvidia:debhelper-compat}),
- make:any,
  quilt,
- xz-utils,
- ${misc:Depends}
-Recommends:
- module-assistant | kernel-package,
- ${nvidia}-kernel-support,
+ ${misc:Depends}
+Recommends:
+ module-assistant,
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
+ ${nvidia}-kernel-support--v1,
 Suggests:
  ${nvidia}-driver (>= ${nvidia:Version}),
 Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
  This package provides the source for the NVIDIA binary kernel modules
  needed by ${nvidia}-driver in a form suitable
- for use by module-assistant or kernel-package.
+ for use by module-assistant.
  .
  The NVIDIA binary driver provides optimized hardware acceleration of
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
@@ -355,8 +354,3 @@
 Conflicts:
  libnvidia-glcore-${nvidia:Version},
 Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:VariantDesc}
- The NVIDIA binary driver provides optimized hardware acceleration of
- OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
- for graphics cards using NVIDIA chip sets.
- .
- This package contains the private core libraries used by the NVIDIA
